#ifndef _GIV_POLY1_H_
#define _GIV_POLY1_H_
// ==========================================================================
// $Source: /users/huron/gautier/projets/CVS/Givaro/src/library/vector/givvector.h,v $
// Copyright(c)'94-97 by Givaro Team
// see the copyright file.
// Authors: T. Gautier
// $Id: givvector.h,v 1.3 1999/05/11 12:28:28 gautier Exp $
// ==========================================================================
// Description:

#include "giverror.h"
#include "givarray0.h"
#include "givcategory.h"
#include "giviterator.h"
#include "givops.h"


// ==========================================================================
// --
// -- Poly1Dom<Domain,StorageTag>:
// --
// ==========================================================================
template<class Domain, class StorageTag> class Poly1Dom;

template<class Domain> class Poly1Dom<Domain,Dense>;
template<class Domain> class Poly1Dom<Domain,Sparse>;

#include "givpoly1dense.h"
// #include "givvectorsparse.h"
// -- should be included in specialized class #include "givvectops.inl"
#include "givpoly1denseops.inl"
// #include "givvectsparseops.inl"

#endif
